=head1 NAME

gdef - construct a program creating database from a definition

=head1 SYNOPSIS

=over

=item B<gdef> [I<option>...] I<input-file>

=item B<gdef> [I<option>...] -extract I<database>

=back

=head1 DESCRIPTION

B<gdef> composes a program that creates a Firebird database given a source
database or a special definition file.

It is rarely used outside of the Firebird build process.

=head1 OPTIONS

=over

=item B<-extract> I<database>

Extract definition from an existing database.

=item B<-replace>

Use statements replacing any existing database instead of just creating a new
one.

=item B<-dynamic>

Generate dynamic DDL

=item B<-c>

Generate C source.

=item B<-fortran>

Generate FORTARN source.

=item B<-pascal>

Generate Pascal source.

=item B<-cob>

Generate COBOL source.

=item B<-ansi>

Generate ANSI COBOL source.

=item B<-ada>

Generate ADA source.

=item B<-cxx>

Generate C++ source.

=item B<-user> I<name>

Firebird user name to use for connecting.

=item B<-password> I<string>

Password to use for connecting.

=item B<-fetch_password> I<file>

Fetch password from a file.

=item B<-z>

Print gdef version number.

=back

=head1 AUTHOR & COPYRIGHT

Copyright (C) Damyan Ivanov, 2009.

This manpage was written by Damyan Ivanov for the Debian project but may be
used by others. Permission is granted to use this document, with or without
modifications, provided that this notice is retained. If we meet some day, and
you think this stuff is worth it, you can buy me a beer in return.
